using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApplicationWhileDoWhile
{
    class Program
    {
        static void Main(string[] args)
        {
            //Παράδειγμα 1
            int i = 1;
            int x = 2;
            Console.WriteLine("Υπολογισμός δύναμης του " +x +" με \"While\"");
            while (i<=5)
            {
                x = x+x;
                Console.WriteLine(x);
                i = i + 1;
            }

            //Παράδειγμα 2
            i = 1;
            x = 2;
            Console.WriteLine("Υπολογισμός δύναμης του " +x +" με \"do While\"");
            do
            {
                x = x + x;
                Console.WriteLine(x);
                i = i + 1;
            }   while (i <= 5);

            Console.ReadLine();
        }
    }
}
